Relentless (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.logic

## Class Relentless

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.logic.Relentless

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.TaskContainer

      public class Relentless
      extends org.apache.tools.ant.Task
      implements org.apache.tools.ant.TaskContainer

  Relentless is an Ant task that will relentlessly execute other tasks, ignoring any failures until all tasks have completed. If any of the executed tasks fail, then Relentless will fail; otherwise it will succeed.
  Version:
    $Id: Relentless.java 12 2006-08-09 17:48:45Z mattinger $
  Author:
    Christopher Heiny

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relentless()` Creates a new Relentless task.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTask(org.apache.tools.ant.Task task)` Ant will call this to inform us of nested tasks.
    `void` | `execute()` This method will be called when it is time to execute the task.
    `boolean` | `isTerse()` Retrieve the terse property, indicating how much output we will generate.
    `void` | `setTerse(boolean terse)` Set this to true to reduce the amount of output generated.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Relentless

          public Relentless()

      Creates a new Relentless task.

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      This method will be called when it is time to execute the task.
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### addTask

          public void addTask(org.apache.tools.ant.Task task)

      Ant will call this to inform us of nested tasks.
      Specified by:
        `addTask` in interface `org.apache.tools.ant.TaskContainer`

    - #### setTerse

          public void setTerse(boolean terse)

      Set this to true to reduce the amount of output generated.

    - #### isTerse

          public boolean isTerse()

      Retrieve the terse property, indicating how much output we will generate.